Package org.apache.tiles.freemarker.template

# Class TilesFMModelRepository

java.lang.Object
org.apache.tiles.freemarker.template.TilesFMModelRepository

public class TilesFMModelRepository extends Object
This tag library provides Tiles tags.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TilesFMModelRepository()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddAttributeFMModel`
  `getAddAttribute()`
  Returns the "addAttribute" directive.
  `AddListAttributeFMModel`
  `getAddListAttribute()`
  Returns the "addListAttribute" directive.
  `DefinitionFMModel`
  `getDefinition()`
  Returns the "definition" directive.
  `GetAsStringFMModel`
  `getGetAsString()`
  Returns the "getAsString" directive.
  `ImportAttributeFMModel`
  `getImportAttribute()`
  Returns the "importAttribute" directive.
  `InsertAttributeFMModel`
  `getInsertAttribute()`
  Returns the "insertAttribute" directive.
  `InsertDefinitionFMModel`
  `getInsertDefinition()`
  Returns the "insertDefinition" directive.
  `InsertTemplateFMModel`
  `getInsertTemplate()`
  Returns the "insertTemplate" directive.
  `PutAttributeFMModel`
  `getPutAttribute()`
  Returns the "putAttribute" directive.
  `PutListAttributeFMModel`
  `getPutListAttribute()`
  Returns the "putListAttribute" directive.
  `SetCurrentContainerFMModel`
  `getSetCurrentContainer()`
  Returns the "setCurrentContainer" directive.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TilesFMModelRepository

    public TilesFMModelRepository()
    Constructor.

- ## Method Details

  - ### getInsertDefinition

    public InsertDefinitionFMModel getInsertDefinition()
    Returns the "insertDefinition" directive.
    Returns:
      The "insertDefinition" directive.

  - ### getImportAttribute

    public ImportAttributeFMModel getImportAttribute()
    Returns the "importAttribute" directive.
    Returns:
      The "importAttribute" directive.

  - ### getSetCurrentContainer

    public SetCurrentContainerFMModel getSetCurrentContainer()
    Returns the "setCurrentContainer" directive.
    Returns:
      The "setCurrentContainer" directive.

  - ### getAddListAttribute

    public AddListAttributeFMModel getAddListAttribute()
    Returns the "addListAttribute" directive.
    Returns:
      The "addListAttribute" directive.

  - ### getGetAsString

    public GetAsStringFMModel getGetAsString()
    Returns the "getAsString" directive.
    Returns:
      The "getAsString" directive.

  - ### getInsertAttribute

    public InsertAttributeFMModel getInsertAttribute()
    Returns the "insertAttribute" directive.
    Returns:
      The "insertAttribute" directive.

  - ### getPutAttribute

    public PutAttributeFMModel getPutAttribute()
    Returns the "putAttribute" directive.
    Returns:
      The "putAttribute" directive.

  - ### getDefinition

    public DefinitionFMModel getDefinition()
    Returns the "definition" directive.
    Returns:
      The "definition" directive.

  - ### getAddAttribute

    public AddAttributeFMModel getAddAttribute()
    Returns the "addAttribute" directive.
    Returns:
      The "addAttribute" directive.

  - ### getPutListAttribute

    public PutListAttributeFMModel getPutListAttribute()
    Returns the "putListAttribute" directive.
    Returns:
      The "putListAttribute" directive.

  - ### getInsertTemplate

    public InsertTemplateFMModel getInsertTemplate()
    Returns the "insertTemplate" directive.
    Returns:
      The "insertTemplate" directive.